> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/api-reference/compute-services/vm-auto-scaling/auto-scaling-groups/get-scaling-action-details-by-id.md).

# Get Scaling Action Details by ID

Retrieves the details of a scaling action specified by its ID. This operation returns metadata, properties, and the current status, for the specified scaling action

```json
{"openapi":"3.0.3","info":{"title":"VM Auto Scaling API","version":"1.0.0"},"tags":[{"name":"Auto Scaling Groups","description":"A VM Auto Scaling Group (ASG) manages a group of VMs by changing the number of replicas based on metrics configured by the customer. \n\nNote the limits for the maximum number of groups, the maximum number of servers and the minimum delta between the 'scale-in' and 'scale-out' thresholds.\n\nThis process is limited to the contract owner, administrator and users with access rights to the data center hosting the VM Auto Scaling Group."}],"servers":[{"url":"https://api.ionos.com/autoscaling","description":"Production"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorization is granted when a valid proof of identity is provided along with an API request for data. This proof of identity is in the form of a JSON web access token, a unique string that identifies a user. \n\n**Example Request Header**\n\n``Authorization: Bearer ACCESS_TOKEN``"}},"parameters":{"depth":{"name":"depth","in":"query","description":"With this parameter, you control the level of detail of the response objects:\n\n\n  - ``0``: Only direct properties are included; children (such as executions\nor transitions) are not considered.\n\n  - ``1``: Direct properties and children references are included.\n\n  - ``2``: Direct properties and children properties are included.\n\n  - ``3``: Direct properties and children properties and children's children\nare included.\n\n  - etc.\n\n","schema":{"default":0,"type":"number"}}},"schemas":{"Action":{"description":"The scaling action associated with a VM Auto Scaling Group.","type":"object","required":["id"],"properties":{"id":{"format":"uuid","description":"The unique resource identifier.","type":"string","readOnly":true},"type":{"description":"The resource type.","type":"string","readOnly":true},"href":{"format":"uri","description":"The absolute URL to the resource's representation.","type":"string","readOnly":true},"metadata":{"$ref":"#/components/schemas/MetadataBasic"},"properties":{"$ref":"#/components/schemas/ActionProperties"}}},"MetadataBasic":{"required":["createdDate","etag","lastModifiedDate","state"],"description":"The resource metadata.","type":"object","readOnly":true,"properties":{"createdDate":{"format":"date-time","description":"The date the resource was created.","type":"string"},"etag":{"description":"The resource etag.","type":"string"},"lastModifiedDate":{"format":"date-time","description":"The date the resource was last modified.","type":"string"},"state":{"enum":["AVAILABLE","BUSY","INACTIVE","SUSPENDED"],"type":"string","description":"The resource state."}}},"ActionProperties":{"required":["actionStatus","actionType"],"description":"The properties of the resource; the content depends on the resource type.","type":"object","properties":{"actionStatus":{"$ref":"#/components/schemas/ActionStatus"},"actionType":{"$ref":"#/components/schemas/ActionType"}}},"ActionStatus":{"enum":["FAILED","IN_PROGRESS","SUCCESSFUL"],"type":"string","readOnly":true},"ActionType":{"description":"The type of scaling action. A 'SCALE_IN' action deletes servers until the group has at most the number of servers. A 'SCALE_OUT' action creates servers until the group has at least the servers.","enum":["SCALE_IN","SCALE_OUT"],"type":"string"},"Error401":{"type":"object","properties":{"httpStatus":{"format":"int32","type":"integer"},"messages":{"type":"array","items":{"$ref":"#/components/schemas/Error401Message"}}}},"Error401Message":{"type":"object","properties":{"errorCode":{"type":"string"},"message":{"type":"string"}}},"ErrorAuthorize":{"type":"object","properties":{"httpStatus":{"format":"int32","type":"integer"},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorAuthorizeMessage"}}}},"ErrorAuthorizeMessage":{"type":"object","properties":{"errorCode":{"type":"string"},"message":{"type":"string"}}},"Error404":{"type":"object","properties":{"httpStatus":{"format":"int32","type":"integer"},"messages":{"type":"array","items":{"$ref":"#/components/schemas/Error404Message"}}}},"Error404Message":{"type":"object","properties":{"errorCode":{"type":"string"},"message":{"type":"string"}}}},"responses":{"response_failure_authenticate":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error401"}}}},"response_failure_authorize":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorAuthorize"}}}},"response_failure_find":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error404"}}}}}},"paths":{"/groups/{groupId}/actions/{actionId}":{"get":{"tags":["Auto Scaling Groups"],"summary":"Get Scaling Action Details by ID","description":"Retrieves the details of a scaling action specified by its ID. This operation returns metadata, properties, and the current status, for the specified scaling action","parameters":[{"name":"actionId","in":"path","required":true,"schema":{"format":"uuid","type":"string"}},{"name":"groupId","in":"path","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/depth"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Action"}}}},"401":{"$ref":"#/components/responses/response_failure_authenticate"},"403":{"$ref":"#/components/responses/response_failure_authorize"},"404":{"$ref":"#/components/responses/response_failure_find"}},"operationId":"groupsActionsFindById"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/api-reference/compute-services/vm-auto-scaling/auto-scaling-groups/get-scaling-action-details-by-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
